# BASIC 256 - Language Documentation

pt:key

## Key

### Formato

key
key()

### Descrição

Devolve o valor ASCII do caracter correspondente à tecla premida. Caso nenhuma tecla seja premida devolve 0.

### Nota

    if key = 47 then print key

não produz os resulatados pois acede à tecla duas vezes em sucessão, e devolve valores diferentes de cada vez. Este código produzirá os resultados desejados:

    a = key
    if a = 47 then print a

### Exemplo

    #prima qualquer tecla
    loop:
    pause 1
    a = key
    print a+"  "+chr(a)
    goto loop

pt/key.txt · Last modified: 2012/12/08 13:07 by m_santos